<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2010 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at www.gnu.org/licenses/agpl.html. Removal of this    |
| copyright header is strictly prohibited without       |
| written permission from the original author(s).       |
+------------------------------------------------------*/
/*------------------------------------------------------+
|     Theme Blog-Orange-white for PHP-Fusion v7                     |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| author: lippke              						    |
| Homepage: http://www.zicy.dk/                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' border='0' alt='' />");
define("THEME_WIDTH", "85%");
define("THEME_ALIGN", "center");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale;

	//Log-in
	echo "<table align='center' class='login' cellspacing='0' cellpadding='0' width='100%'><tr>";
	if (iMEMBER) 
	{
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
 
    echo "<td class='login' align='center' valign='middle'>
    <div id='menu'>
    <a id='profile' href='".BASEDIR."edit_profile.php' title='".$locale['global_120']."'><img src='".THEME."images/profile.gif' alt='' />".$locale['global_120']."</a>
    <a id='pm' href='".BASEDIR."messages.php' title='".$locale['global_121']."'><img src='".THEME."images/pm.gif' alt='' />".$locale['global_121']."</a>
    <a id='userlist' href='".BASEDIR."members.php' title='".$locale['global_122']."'><img src='".THEME."images/member_list.gif' alt='' />".$locale['global_122']."</a>
    ".(iADMIN ? "<a id='admin' href='".ADMIN."index.php".$aidlink."' title='".$locale['global_123']."'><img src='".THEME."images/admin.gif' alt='' />".$locale['global_123']."</a> \n" : "")."
    <a id='logout' href='".BASEDIR."setuser.php?logout=yes' title='".$locale['global_124']."'><img src='".THEME."images/logout.gif' alt='' />".$locale['global_124']."</a>
    <a href='".BASEDIR."messages.php'>";if ($msg_count){echo"&nbsp;<span id='msgcount'>[$msg_count]</span>";}echo"</a>
    </div>
    </td>";
	}
 	else {
	if (iGUEST) {
	echo "<td class='login' align='left' valign='middle' width='20%'></td>";
	echo "<td class='login' align='center' valign='middle'>";
	echo "".(isset($loginerror) ? $loginerror : "")."
	<form name='loginform1' method='post' action='".FUSION_SELF."'>
	".$locale['global_101'].":&nbsp;
	<input type='text' name='user_name' class='textbox' style='width:100px;'/>&nbsp;
	".$locale['global_102'].":&nbsp;
	<input type='password' name='user_pass' class='textbox' style='width:100px;'/>&nbsp;
	<input type='checkbox' class='checkbox' name='remember_me' style='height:12px' value='y' title='".$locale['global_103']."' />
	<input type='submit' name='login' value='".$locale['global_104']."' class='button'/>
	</form></td>\n";
	echo "<td class='login' align='right' valign='middle' width='20%'>
    <div id='menu1'>
    <a id='lp' href='".BASEDIR."lostpassword.php' title='".$locale['global_108']."'><img src='".THEME."images/lost_password.gif' alt='' />".$locale['global_108']."</a>
    ".($settings['enable_registration'] ? "<a id='register' href='".BASEDIR."register.php' title='".$locale['global_107']."'><img src='".THEME."images/registration.gif' alt='' />".$locale['global_107']."</a> \n" : "")."
    </div>
    </td>";
		  }
	}
 	echo "</tr></table>\n";
	
	//Header
	echo "<table align='".THEME_ALIGN."' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table align='".THEME_ALIGN."' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' class='sub-header'>".showsublinks("  ", "white")."</td>\n";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table align='".THEME_ALIGN."' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table align='".THEME_ALIGN."' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-footer-left'></td>\n";
	echo "<td align='left' class='sub-footer'></td>\n";
	echo "<td align='right' class='sub-footer'>".showcounter()."</td>\n";
	echo "<td class='sub-footer-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='".THEME_ALIGN."' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td align='".THEME_ALIGN."' class='main-footer'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br /><br />\n".showcopyright(); }
	echo "<p>Blog-Orange-white made by <a href='http://zicy.dk' target='_Blank'>zicy.dk</a></p>";
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table align='center' cellpadding='0' cellspacing='0' width='95%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='center' width='95%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table align='center' width='95%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='center' width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table align='center' cellpadding='0' cellspacing='0' width='95%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='95%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>
